class ZipUploader < CarrierWave::Uploader::Base
  include CarrierWave::MimeTypes

  storage Rails.env.test? || Rails.env.development? ? :file : :fog

  def store_dir
    upload_folder = Rails.env.test? ? 'uploads-test' : 'uploads'
    "#{ upload_folder }/#{ model.class.to_s.underscore }/#{ mounted_as }/#{ model.id }"
  end

  def extension_white_list
    %w(zip)
  end
end
